#ifndef CUSTOMLABEL_H
#define CUSTOMLABEL_H

#include <QLabel>
#include <QEvent>
#include <QKeyEvent>

class customLabel : public QLabel
{
    Q_OBJECT
public:
    explicit customLabel(QWidget *parent = nullptr);

    int getID() const;
    void setID(int value);

    void setBackgroundColor(const QColor& c);

signals:
    void sigKeyPressed(const QColor& c);
    void sigHide();

protected:
    virtual void enterEvent(QEvent* event);
    virtual void leaveEvent(QEvent* event);
    virtual void keyPressEvent(QKeyEvent* event);
    virtual void keyReleaseEvent(QKeyEvent* event);

private:
    int ID;
    QColor bgColor;
};

#endif // CUSTOMLABEL_H
